<?php
require("../conectar.php");
require("generaclave.php");
$idrenta=$_GET['idrenta'];
$idcliente=$_GET['idcliente'];
$fecha=date("y-m-d");
// $sql="SELECT com.nombre, dep.clave, con.id_concepto  FROM complejo as com INNER JOIN  departamentos as dep ON com.id_complejo=dep.id_complejo INNER JOIN conceptos as con ON con.id_departamento=dep.id_departamento INNER JOIN renta as ren ON con.id_renta=ren.id_renta INNER JOIN pagos ON pagos.id_renta=ren.id_renta WHERE ren.id_renta='$idrenta' and pagos.valadmon='s' group by pagos.propiedad";
//$con=mysql_query($sql);
//$num1=mysql_num_rows($con);
function periodo($fi,$ff){
  $noanioses=0; $nomeseses=0; $numerosemanases=0;  $numerodiasdias=0;	$mes=0;
				 
				 list($anioies,$mesies,$diaies)=explode("-",$fi);
				 list($aniofes,$mesfes,$diafes)=explode("-",$ff);
				 $mes=$mesies;
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $nomeseses=$mesfes1-$mesies;
				 $diasenmesultimo= cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				 if($diafes<$diaies&&$diasenmesultimo!=$diafes)
				 {
				 $nomeseses--;
				 if($nomeseses==0&&$mesextraes>0)
				 { $nomeseses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				if($diasenmesultimo==$diafes&&$diafes<$diaies)
				 {	$numerodiasdias=0;		}
				else{$numerodiasdias=$diafes-$diaies;}
				while($numerodiasdias>=7)
				 {
				 $numerodiasdias=$numerodiasdias-7;
				 
				 $numerosemanases++;
				 }
		
				while($nomeseses>=12)
				 {
				 $noanioses++;
				 $nomeseses=$nomeseses-12;
				 }
				$anios=$noanioses; $meses=$nomeseses; $semred=$numerosemanases;  $restodias=$numerodiasdias ;
 if($anios>0)$periodo.="$anios años ";
 if($meses>0)$periodo.="$meses meses ";
 if($semred>0)$periodo.="$semred Semanas ";
 if($restodias>0)$periodo.="$restodias dias ";
 return($periodo);
 }
 
$sql2="SELECT com.inicial,com.nombre, con.status_renta, dep.clave, con.id_concepto, con.dia_inicio, con.dia_salida, dep.id_complejo, dep.no_depto FROM complejo as com INNER JOIN  departamentos as dep ON com.id_complejo=dep.id_complejo INNER JOIN conceptos as con ON con.id_departamento=dep.id_departamento INNER JOIN renta as ren ON con.id_renta=ren.id_renta WHERE ren.id_renta='$idrenta' and con.borrar='0' ";
$con2=mysql_query($sql2);

$sql1="SELECT nombre, a_pat, a_mat  FROM clientes WHERE id_cliente='$idcliente'";
$con1=mysql_query($sql1);
$cliente=mysql_fetch_array($con1);
 
 
 ?>
<html><head><meta type="text/html" charset="utf-8"></meta>
<script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<script language="JavaScript" type="text/javascript">

function ventanasobre(id,status){
if(status=="ANTICIPO"||status=="PAGADO"||status=="ok"){
window.open("opcionsobre.php?idcliente=<?echo$idcliente?>&idrenta=<?echo$idrenta?>&idconcepto="+id,"Titulo Pagina,scrollbars=yes");
}
else{alert("Sin pagos no se pueden imprimir documentos");}
}

	 function ventanacontrato(id,td)
{
var f=confirm( "Este cotizacion pertenece a una empresa?");
if(f==true)
	{
	open ("asociadoscompany.php", {id:id}, function(data,status){
	 if(status=="success")
 		{
 		alert("El registro ha sido borrado");  
		$("#fila"+td).hide();
 		}
		});
	
			
	}
		open("hojadecontrato.php");
}
	 
function ventanaregistro(id,hoja,status){
if(status=="ANTICIPO"||status=="PAGADO"||status=="ok"){
window.open(hoja+".php?idcliente=<?echo$idcliente?>&idrenta=<?echo$idrenta?>&idconcepto="+id,"Titulo Pagina,scrollbars=yes");
}
else{alert("Sin pagos no se pueden imprimir documentos");}

}
function borrar(id,td)
{
var f=confirm( "En verdad quieres borrar esta cotizacion?");
if(f==true)
	{
	 $.post("cambiastatusconcepto.php", {id:id}, function(data,status){
		if(status=="success"){$("#"+td).hide(); } 
	 });
	}
}
</script>
<style>
	body{background-color:#eae7dc; color:086A87;}
	.cont-busc {font-family:arial;color:#086A87;border:solid 1px #6E6E6E;}			 
	.cont-busc th{font-family:arial;color:#086A87;border:solid 1px #6E6E6E; margin-top:10px;}			 
	.datos{border:0;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;border-collapse: collapse;color:#0d0d0d;font-size:12px;}
	.datos .tr td{border:solid 1px #000;padding-left:10px;}
	.datos .tr:hover{background:#01A9DB;color:#ffffff;}	
	.datos .tr:hover a{color:#ffffff;}
	.datos .tr1{background:#E0F8F7;border-top:solid 1px #D8D8D8; color:#084B8A;font-size:12px;}	
	.datos .tr1 td{border:solid 1px #000;padding-left:10px;}
	.datos .tr1:hover{background:#01A9DB;color:#ffffff;}	
	.datos .tr1:hover a{color:#ffffff;}	   
	     </style>
		 
<title>Lista de departamentos cotizados</title></head>
<body>

<h3  align="center"><?php echo "Departamento cotizados para $cliente[nombre] $cliente[a_pat] $cliente[a_mat]"; ?></h3>

<p align="center">

<?php 
 
?>
<table class="datos">
<tr class="cont-busc">
<th colspan="13"><h3>
  Departamentos cotizados:
</h3></th>
</tr>
<tr  class="cont-busc">
  <th width="150" height="34">Propiedad-Departamento</th>
  <th>Periodo</th>
  <th align="center">Sobre</th>
  <th>Cedula</th>
  <th >Contrato</th>
<th >Hoja de registro</th>
<!--<th >Recibo Deposito</th>-->
<th>Recibo</th>
<th >Factura</th>
<th >Datos de Huesped</th>
<!--<th >Modificar renta</th>-->
<th >Agregar pago</th>
<th >Expediente</th>
<th>Encuesta</th>
<th>Borrar</th>
</tr>

<?php

while ($consulta1=mysql_fetch_array($con2))
{
$x++;
if($z==1) {$z=' ';}
else {$z=1;}
if ($consulta1['id_concepto']!=$concepto['$x']){ ?>
<tr class="tr<?php echo $z;?> " id="<?echo$x?>">
<td><? echo $consulta1["inicial"].$consulta1["no_depto"]."  ".$consulta1['nombre']." <br>("; echo $consulta1['clave'].")"; ?></td>
<td><?echo periodo($consulta1['dia_inicio'],$consulta1['dia_salida'])."(".$consulta1['status_renta'].")";?></td>
<td align="left" valign="middle"><img onClick="ventanasobre(idconcepto=<?echo$consulta1['id_concepto']?>,'<?echo$consulta1['status_renta']?>')" src="images/sobreops.png" width="29" height="30"></td> 
<td align="center"><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','cedulas','ok')" src="images/contratos.png" width="30" height="30"></td>

 <td align="center"><a href="asociadoscompany.php?id=<?php echo $consulta1['id_concepto']; ?>"onclick="return confirm('¿Está realmente seguro de eliminar este registro? \n P.D.: si lo elimina no lo podra recuperar de la base de datos.');"><img src="images/contratos.png" width="25" height="24" alt="drop" longdesc="../../imagenes/b_drop.png" /></a></td>
 
 
   <td align="center"><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','hojaregistro','<?echo$consulta1['status_renta']?>')" src="images/contratos.png" width="30" height="30"></td>
 <!-- <td><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','reciboDeposito','<?echo$consulta1['status_renta']?>')" src="images/contratos.png" width="30" height="30"></td>    -->
  <td align="center"><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','recibo','<?echo$consulta1['status_renta']?>')" src="images/contratos.png" width="30" height="30"></td>
	 <td align="center"><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','factura','<?echo$consulta1['status_renta']?>')" src="images/contratos.png" width="30" height="30"></td>
	 <!--<td><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','fichaDePago')" src="images/contratos.png" width="30" height="30"></td> -->
	 <td align="center"><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','huespedprim','ok')" src="images/contratos.png" width="30" height="30"></td>
	<!-- <td><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','regmodificar2','ok')" src="images/contratos.png" width="30" height="30"></td>-->
	 <td align="center"><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','pagos3prueba','ok')" src="images/contratos.png" width="30" height="30"></td>
	 <td align="center"><center><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','subirdocscliente','ok')" src="images/contratos.png" width="30" height="30"></center></td>
	  <td align="center"><center><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','encuestasalidainter','ok')" src="images/contratos.png" width="30" height="30"></center></td>
<!--	 <td><img onClick="ventanaregistro(idconcepto='<?echo$consulta1['id_concepto'];?>','encuestasalidainter','ok')" src="images/contratos.png" width="30" height="30"></td>-->
	  <td><?if($consulta1['status_renta']==''||$consulta1['status_renta']=='LIBRE'){?><img onClick="borrar(idconcepto='<?echo$consulta1['id_concepto'];?>','<?echo$x?>')" src="img/oks.png" width="20" height="20"><?}?></td>
	</tr>
	<tr class="tr<?php echo $z;?> "><td  colspan="13"><?echo clave($consulta1["id_concepto"])?>

<?php  }  }?>
</table>
</p>
</body>
</html>





